## visad
Class DisplayMapEvent

    java.lang.Object
      java.awt.Event
          visad.VisADEvent
              visad.DisplayEvent
                  visad.DisplayMapEvent

All Implemented Interfaces:
  Serializable

public class DisplayMapEvent
extends DisplayEvent

DisplayMapEvent is the VisAD class for Events from Display ScalarMap and ConstantMap objects. They are sourced by Display objects and received by DisplayListener objects.

See Also:
  Serialized Form

Field Summary

Fields inherited from class visad.DisplayEvent
`COMPONENT_RESIZED, DESTROYED, FRAME_DONE, KEY_PRESSED, KEY_RELEASED, MAP_ADDED, MAP_REMOVED, MAPS_CLEARED, MOUSE_DRAGGED, MOUSE_ENTERED, MOUSE_EXITED, MOUSE_MOVED, MOUSE_PRESSED, MOUSE_PRESSED_CENTER, MOUSE_PRESSED_LEFT, MOUSE_PRESSED_RIGHT, MOUSE_RELEASED, MOUSE_RELEASED_CENTER, MOUSE_RELEASED_LEFT, MOUSE_RELEASED_RIGHT, REFERENCE_ADDED, REFERENCE_REMOVED, TRANSFORM_DONE, WAIT_OFF, WAIT_ON`

Fields inherited from class visad.VisADEvent
`LOCAL_SOURCE, UNKNOWN_REMOTE_SOURCE`

Fields inherited from class java.awt.Event

`ACTION_EVENT, ALT_MASK, arg, BACK_SPACE, CAPS_LOCK, clickCount, CTRL_MASK, DELETE, DOWN, END, ENTER, ESCAPE, evt, F1, F10, F11, F12, F2, F3, F4, F5, F6, F7, F8, F9, GOT_FOCUS, HOME, INSERT, key, KEY_ACTION, KEY_ACTION_RELEASE, KEY_PRESS, KEY_RELEASE, LEFT, LIST_DESELECT, LIST_SELECT, LOAD_FILE, LOST_FOCUS, META_MASK, modifiers, MOUSE_DOWN, MOUSE_DRAG, MOUSE_ENTER, MOUSE_EXIT, MOUSE_MOVE, MOUSE_UP, NUM_LOCK, PAUSE, PGDN, PGUP, PRINT_SCREEN, RIGHT, SAVE_FILE, SCROLL_ABSOLUTE, SCROLL_BEGIN, SCROLL_END, SCROLL_LINE_DOWN, SCROLL_LINE_UP, SCROLL_LOCK, SCROLL_PAGE_DOWN, SCROLL_PAGE_UP, SHIFT_MASK, TAB, target, UP, when, WINDOW_DEICONIFY, WINDOW_DESTROY, WINDOW_EXPOSE, WINDOW_ICONIFY, WINDOW_MOVED, x, y`

Constructor Summary
`DisplayMapEvent(Display d, int id, ScalarMap m)` Constructs a DisplayMapEvent object with the specified source display, type of event, and ScalarMap.
`DisplayMapEvent(Display d, int id, ScalarMap m, int remoteId)` Constructs a DisplayMapEvent object with the specified source display, type of event, and ScalarMap.

Method Summary
`DisplayEvent` `cloneButDisplay(Display dpy)` Return a new DisplayMapEvent which is a copy of this event, but which uses the specified source display
`ScalarMap` `getMap()` get the ScalarMap referenced by this DisplayMapEvent

Methods inherited from class visad.DisplayEvent
`getDisplay, getDisplayComponent, getId, getInputEvent, getKeyCode, getModifiers, getX, getY, toString`

Methods inherited from class visad.VisADEvent
`getRemoteId, isRemote`

Methods inherited from class java.awt.Event
`controlDown, metaDown, paramString, shiftDown, translate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DisplayMapEvent

    public DisplayMapEvent(Display d,
                           int id,
                           ScalarMap m)

  Constructs a DisplayMapEvent object with the specified source display, type of event, and ScalarMap.

Parameters:
  `d` - display that sends the event
  `id` - type of DisplayMapEvent that is sent
  `m` - ScalarMap referenced by this event

### DisplayMapEvent

    public DisplayMapEvent(Display d,
                           int id,
                           ScalarMap m,
                           int remoteId)

  Constructs a DisplayMapEvent object with the specified source display, type of event, and ScalarMap.

Parameters:
  `d` - display that sends the event
  `id` - type of DisplayMapEvent that is sent
  `m` - ScalarMap referenced by this event
  `remoteId` - ID of remote source

Method Detail

### cloneButDisplay

    public DisplayEvent cloneButDisplay(Display dpy)

  Return a new DisplayMapEvent which is a copy of this event, but which uses the specified source display

  Overrides:
    `cloneButDisplay` in class `DisplayEvent`
  Parameters:
    `dpy` - Display to use for the new DisplayMapEvent
  Returns:
    a clone of this, except with the given source Display

### getMap

    public ScalarMap getMap()

  get the ScalarMap referenced by this DisplayMapEvent